#!/bin/sh

ln -sf /usr/X11R6/bin/XFree86 /usr/X11R6/bin/X
mkdir -p /etc/X11
mkdir -p /var/lib/xkb

[ -c /dev/psaux ] || mknod /dev/psaux c 10 1
[ -c /dev/apm_bios ] || mknod /dev/apm_bios c 10 134

chmod 664 /dev/psaux
chmod 600 /dev/apm_bios

grep /usr/X11R6/lib /etc/ld.so.conf > /dev/null || \
echo "/usr/X11R6/lib" >> /etc/ld.so.conf

sed "/PATH:\/usr\/X11R6\/bin/d" < /etc/profile > /etc/profile.old
cp /etc/profile.old /etc/profile
echo "export PATH=\$PATH:/usr/X11R6/bin" >> /etc/profile
export PATH=$PATH:/usr/X11R6/bin

[ "$NoStart" = "y" ] && exit 0

mdetect > /tmp/detect 2> /dev/null

if [ -s /tmp/detect ]
then
    Device=`head -n 1 /tmp/detect`
    rm -f /tmp/detect
else
    cat << EOF

Quel type de souris est utilise ?

1 - PS/2
2 - COM1
3 - COM2
4 - COM3
5 - COM4
EOF

    read souris
    
    case "$souris" in
        1) Device=/dev/psaux ;;
        2) Device=/dev/ttyS0 ;;
        3) Device=/dev/ttyS1 ;;
        4) Device=/dev/ttyS2 ;;
        5) Device=/dev/ttyS3 ;;
        *) echo >&2 "Mauvaise reponse : $souris" ; exit 1 ;;
    esac
fi

ln -sf $Device /dev/mouse

case "$Device" in
    /dev/psaux) Protocol="PS/2" ;;
    /dev/ttyS*) Protocol="Microsoft" ;;
esac

#XFree86 -modulepath /usr/X11R6/lib/X11/modules -configure
XFree86 -configure

sed "s;auto;$Protocol;" < /root/XF86Config.new > /tmp/XF86Config.new
#XFree86 -xf86config /tmp/XF86Config.new

mv /tmp/XF86Config.new /etc/X11/XF86Config

echo "

OK, conf de XFree86 version 4 faite.
Il faut maintenant se deconnecter de cette console et se reconnecter
(ou lancer X depuis une nouvelle session).

"
